<?php

/* EC2 Instance */
define('AWS_REGION',  'us-west-2');
define('AWS_VERSION', 'latest');
define('AWS_PROFILE', 'default');

define('VPC_CIDR', 		'171.33.0.0/16');
define('SUBNET_A_CIDR', '171.33.0.0/20');
define('SUBNET_B_CIDR', '171.33.16.0/20');

define('EC2_AMI_ID', 		'ami-792bc219');
define('EC2_INSTANCE_TYPE', 't1.micro');

define('DB_INSTANCE_TYPE', 			'db.t2.micro');
define('DB_INSTANCE_STORAGE', 		5);
define('DB_INSTANCE_ENGINE', 		'MySQL');
define('DB_INSTANCE_ENGINE_VERSION', '5.6.27');
define('DB_INSTANCE_NAME', 			'api-db-instance');
define('DB_INSTANCE_REPLICA_NAME', 	'api-db-instance-replica');
define('DB_USERNAME', 				'api_root');
define('DB_PASSWORD', 				'aqswdefr1');
define('DB_NAME', 					'wordpress_database');
define('DB_WP_USERNAME', 			'wordpress_user');
define('DB_WP_PASSWORD', 			'aqswdefr1');

/* Spot Instance */
define('SPOT_INSTANCE_PRICE', '0.0033');

define('INSTANCE_HOME_DIR', 		'/home/ec2-user');
define('SCRIPT_HOST', 				'255.255.255.255');
define('INSTANCE_CHECK_TIMEOUT', 	30);
define('INSTANCE_CHECK_COUNT', 		10);
define('SSH_USERNAME', 				'ec2-user');

/* Alarm */
define('ALARM_ADD_NAMESPACE', 				'AWS/EC2');
define('ALARM_ADD_METRIC_NAME', 			'CPUUtilization');
define('ALARM_ADD_COMPARISON_OPERATOR', 	'GreaterThanOrEqualToThreshold');
define('ALARM_ADD_STATISTIC', 				'Average');
define('ALARM_ADD_PERIOD', 					300);
define('ALARM_ADD_EVALUATION_PERIODS', 		1);
define('ALARM_ADD_THRESHOLD', 				75);
define('ALARM_ADD_NAME', 					'api-alarm-increase');

define('ALARM_REMOVE_NAMESPACE', 			'AWS/EC2');
define('ALARM_REMOVE_METRIC_NAME', 			'CPUUtilization');
define('ALARM_REMOVE_COMPARISON_OPERATOR',  'LessThanThreshold');
define('ALARM_REMOVE_STATISTIC', 			'Average');
define('ALARM_REMOVE_PERIOD', 				300);
define('ALARM_REMOVE_EVALUATION_PERIODS', 	1);
define('ALARM_REMOVE_THRESHOLD', 			50);
define('ALARM_REMOVE_NAME', 				'api-alarm-decrease');

define('NAME_KEY_PAIR', 			'api-key-pair');
define('NAME_LOAD_BALANCER', 		'api-load-balancer');
define('NAME_LAUNCH_CONFIGURATION', 'api-launch-configuration');
define('NAME_AUTO_SCALING_GROUP', 	'api-auto-scaling-group');
define('NAME_SECURITY_GROUP', 		'api-security-group');
define('NAME_DB_SUBNET_GROUP', 		'api-db-subnet-group');
define('NAME_EC2_INSTANCE', 		'api-ec2-instance');
define('NAME_HAPROXY_INSTANCE', 	'api-haproxy-instance');
?>